Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000741 [Piwigo] users & groups minor always 2007.08.31 18:13 2008.05.14 14:44
Reporter tosca View Status public  
Assigned To Pat
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.7.2 Product Version 1.7.1
  Target Version Product Build
Summary 0000741: Lors de la création d'un nouvel utilisateur, la liste des utilisateurs n'est pas immédiatement rafraîchie
Description A la création d'un nouvel utilisateur, la liste d'utilisateurs réaffichée ne comprend pas l'utilisateur qui vient d'être créé ; il n'est donc pas possible de le sélectionner dans la liste pour modifier son statut, le rattacher à un groupe ou lui donner des droits particuliers.
L'utilisation de la touche provoque le rafraîchissement de la liste, mais on obtient alors un message d'erreur indiquant que l'utilisateur existe déjà (comme si l'on était en train de le créer une deuxième fois).
Steps To Reproduce Se connecter en tant qu'administrateur,
aller sur la page "Utilisateurs",
compléter le cadre "Ajouter un utilisateur", puis valider,
la liste des utilisateurs se réaffiche, mais celui qui vient d'être créé n'y figure pas.
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
has duplicate 0000793closedPat Admin: Added user does not appear in listing 

-  Notes
(0002046)
nikrou (developer)
2008.01.06 21:11

Je n'arrive pas reproduire le bug. Tu es sûr que l'utilisateur n'est pas sur une autre page (pour le cas où tu aurais beaucoup d'utilisateurs!)
(0002047)
tosca (developer)
2008.01.06 21:22
edited on: 2008.01.06 21:23

Mon nombre d'utilisateurs tient sur les doigts d'une main, alors le problème du multi-pages ne se pose vraiment pas !
J'ai encore eu le problème il y a 8 jours sur la galerie que j'ai créée pour un copain : le nouvel utilisateur n'était pas visible juste après la création, j'ai donc du réafficher la page pour pouvoir lui affecter ses droits ; par contre, je ne me rappelle pas avoir eu un message d'erreur m'indiquant que l'utilisateur était déjà créé (ça fait 4 mois que j'ai créé cette fiche, j'ai pu oublier un peu depuis ...)

(0002048)
VDigital (reporter)
2008.01.07 14:31

utilisateur "Nikrou" ajouté

Sur une galerie avec moins de 20 utilisateurs...
Et du coup, il faut re-cliquer sur utilisateurs pour voir Nikrou apparaître dans la liste...

Au contraire si plusieurs pages d'utilisateurs pas de pb, on ne verra pas le loupé, car on sera obligé de paginer.

Pour simuler, mettre par exemple un :
$conf['users_page'] = 500;

8-)
(0002147)
Pat (developer)
2008.02.28 23:12

J'ai trouvé la solution...
Ligne 841 dans la fonction create_user_infos, on a:

if (is_integer($arg_id))
{
  $user_ids[] = $arg_id;
}

Or, lors de la création d'un nouvel utilisateur, $arg_id est une chaine de caractère, et donc n'est pas considérée comme entier. Du coup, la table user_info n'est pas mise à jour, et l'utilsateur n'apparait qu'au rechargement de la page.
(0002151)
Pat (developer)
2008.02.29 14:09

branch 1.7: [Subversion] r2228
trunk: [Subversion] r2229

- Issue History
Date Modified Username Field Change
2007.08.31 18:13 tosca New Issue
2007.08.31 18:13 tosca browser => any
2007.08.31 18:13 tosca Web server => Apache 1.3.x
2008.01.06 21:11 nikrou Note Added: 0002046
2008.01.06 21:22 tosca Note Added: 0002047
2008.01.06 21:23 tosca Note Edited: 0002047
2008.01.07 14:31 VDigital Note Added: 0002048
2008.01.07 14:32 VDigital Status new => acknowledged
2008.01.29 21:07 mathiasm Relationship added has duplicate 0000793
2008.02.28 23:12 Pat Note Added: 0002147
2008.02.28 23:14 Pat Status acknowledged => assigned
2008.02.28 23:14 Pat Assigned To => Pat
2008.02.29 14:07 Pat Status assigned => resolved
2008.02.29 14:07 Pat Fixed in Version => 1.7.2
2008.02.29 14:07 Pat Resolution open => fixed
2008.02.29 14:09 Pat Status resolved => feedback
2008.02.29 14:09 Pat Resolution fixed => reopened
2008.02.29 14:09 Pat Note Added: 0002151
2008.02.29 14:10 Pat Status feedback => resolved
2008.02.29 14:10 Pat Resolution reopened => fixed
2008.05.14 14:44 VDigital Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker